#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 31. KDE Frameworks 5 Based Applications

- Prev

  Okular-21.12.2

- Next

  Gwenview-21.12.2

- Up
- Home

# libkdcraw-21.12.2

## Introduction to libkdcraw

Libkdcraw is a KDE wrapper around the libraw-0.20.2 library for manipulating image metadata.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/21.12.2/src/libkdcraw-21.12.2.tar.xz

- Download MD5 sum: e01f997d49b7337d1aa878b254154619

- Download size: 40 KB

- Estimated disk space required: 1.4 MB

- Estimated build time: less than 0.1 SBU

### libkdcraw Dependencies

#### Required

KDE Frameworks-5.91.0 and libraw-0.20.2

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libkdcraw

## Installation of libkdcraw

Install libkdcraw by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=$KF5_PREFIX \
          -DCMAKE_BUILD_TYPE=Release         \
          -DBUILD_TESTING=OFF                \
          -Wno-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Library: libKF5KDcraw.so
Installed Directories: $KF5_PREFIX/include/KF5/KDCRAW and $KF5_PREFIX/lib/cmake/KF5KDcraw

Last updated on

- Prev

  Okular-21.12.2

- Next

  Gwenview-21.12.2

- Up
- Home